# class JBStreamSetProcessor | Specialized stream processor. More...
Full name | `TelEngine::JBStreamSetProcessor`
Definition | `#include <libs/yjabber/yatejabber.h>`
Inherits | TelEngine::JBStreamSet [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Protected Methods

- inline JBStreamSetProcessor (JBStreamSetList* owner)
- virtual bool process (JBStream& stream)

## Detailed Description

This class holds a set specialized in stream processing

inline JBStreamSetProcessor (JBStreamSetList* owner) | ### JBStreamSetProcessor

[protected]

Constructor

Parameters:

owner | The list owning this set

bool process (JBStream& stream) | ### process

[protected virtual]

This method is called from run() with the list unlocked and stream's reference counter increased. Calls stream's getEvent(). Pass a generated event to the engine Remove the stream from its engine on destroy

Parameters:

stream | The stream to process

Returns: True if an event was generated by the stream

Reimplemented from JBStreamSet.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.